:root{
    
    --green: #060a42d2;
    --light-grey: #f7f7f7;
    --dark: #fcffff;
    --trans: all 0.3s ease-in-out;
}
.navbar{
    position: fixed;
    top: 0;
    width: 100%;
    background-color:transparent;
    padding: 1rem 0;
    z-index: 999;

}
.navbar .container{
    justify-content: space-between;
}
/* drdo logo  */
/* .site-brand{
    color: #a31414;
    font-size: 2.4rem;
    font-family: 'Raleway', sans-serif;
    font-weight: 600;
    opacity: 0.95; */
/* } */
/* DO LETTER OPACITY */
/* .site-brand span{
    font-weight: 300;
} */
#navbar-show-btn{
    background: transparent;
    color: #fff;
    font-size: 2rem;
    opacity: 0.9;
    transition: var(--trans);
    border: none;
}
#navbar-show-btn:hover{
    opacity: 1;
}
/* navbar side menu */
#navbar-collapse{
    background-color: var(--green);
    position: fixed;
    top: 0;
    right: 0;
    width: 300px;
    height: 100%;
    padding: 2rem;
    transform: translateX(100%);
    transition: var(--trans);

}
.navbar-collapse-rmw{
    /* js related */
     transform: translateX(0)! important
    }

#navbar-close-btn{
    background: none;
    color: #fff;
    width: 35px;
    height: 35px;
    border-radius: 0.2rem;
    font-size: 2rem;
    transition: var(--trans);
    -o-transition: var(--trans);
    transition: var(--trans);
    position: absolute;
    right: 1rem;
    top: 2rem;
    border: none;
}
#navbar-close-btn:hover{
    background-color: #fff;
    color: var(--green);
}
.navbar-nav{
    margin-top: 5rem;
}
.nav-item{
    margin: 1.6rem 0;
}
.nav-link{
    color: #fff;
    font-size: 1.2rem;
    transition: var(--trans);
    -o-transition: var(--trans);
    transition: var(--trans);
}
.nav-link:hover{
    opacity: 0.8;
}

/* header */
header{
    min-height: 100vh;
    padding-top: 7rem;
    padding-left: 7rem;
    background: linear-gradient(rgba(0, 0, 0, 0.4), rgba(21, 12, 71, 0.575)), url(../images/inner-default-banner.jpg) center/cover no-repeat;
    background-position: right;
    flex-direction: column;
    color: #fff;
    text-align: center;
}
.header-title h1{
    font-size: 2.8rem;
    letter-spacing: 2px;
    -webkit-animation: bounce-in-top 2s both;
            animation: bounce-in-top 2s both;
}


@keyframes bounce-in-top{
    0%{
        -webkit-transform: translateY(-500px);
                transform: translateY(-500px);
        -webkit-animation-timing-function: ease-in;
                animation-timing-function: ease-in;
        opacity: 0;
    }
    38%{
        -webkit-transform: translateY(0);
                transform: translateY(0);
        -webkit-animation-timing-function: ease-out;
                animation-timing-function: ease-out;
        opacity: 1;
    }
    55%{
        -webkit-transform: translateY(-55px);
                transform: translateY(-55px);
        -webkit-animation-timing-function: ease-in;
                animation-timing-function: ease-in;
    }
    72%{
        -webkit-transform: translateY(0);
                transform: translateY(0);
        -webkit-animation-timing-function: ease-out;
                animation-timing-function: ease-out;
    }
    81%{
        -webkit-transform: translateY(-28px);
                transform: translateY(-28px);
        -webkit-animation-timing-function: ease-in;
                animation-timing-function: ease-in;
    }
    90%{
        -webkit-transform: translateY(0);
                transform: translateY(0);
        -webkit-animation-timing-function: ease-out;
                animation-timing-function: ease-out;
    }
    95%{
        -webkit-transform: translateY(-8px);
                transform: translateY(-8px);
        -webkit-animation-timing-function: ease-in;
                animation-timing-function: ease-in;
    }
    100%{
        -webkit-transform: translateY(0);
                transform: translateY(0);
        -webkit-animation-timing-function: ease-out;
                animation-timing-function: ease-out;
    }
}
/* drdo logo shadow */
.drdo-logo {
    height: 100px; /* Maintain the height specified in the inline style */
    padding-right: 20px; /* Adjust the value as needed */
    filter: drop-shadow(0 4px 20px rgba(255, 255, 255, 0.5)); /* White blur shadow */
}


.drdo-logo.scrolled {
    padding-right: 20px;
    filter: drop-shadow(0px 4px 20px rgba(0, 0, 0, 0.5)); /* Black shadow */
}

/* change brachground on scrool */
.navbar-cng{
    background-color: #060a42d2;
    box-shadow: 0px 4px 5px 0px rgba(48, 48, 48, 0.2);
    transition: var(--trans);
}
.navbar-cng .site-brand{
    color: var(--dark);
}
.navbar-cng .site-brand span{
    color: brown;
}
.navbar-cng #navbar-show-btn{
    color: rgb(255, 255, 255);
}

/* feautred section */
.featured-item{
    
        position: relative;
        width: 100%;
        overflow: hidden;
        transition: var(--trans);
}
.featured-item::after{
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
    background: linear-gradient(to bottom, transparent 0%,
     transparent 18%, rgba(0, 0, 0, 0.8) 99%, rgba(0, 0, 0, 0.8) 100%);
}
.featured-item-content{
    position: absolute;
    bottom: 0;
    left: 0;
    z-index: 2;
    color: #fff;
    width: 100%;
    padding: 1rem;
    transform: translateY(68%);
    transition: var(--trans);
}
.featured-item-content span{
    font-size: 1.2rem;
    display: block;
    margin-bottom: 1.2rem;
    text-transform: capitalize;
    text-align: center;
}
.featured-item-content text{
    color: #fff;
    transition: var(--trans);
}
.featured-item:hover .featured-item-content{
            transform: translateY(0);
}
.drdo-logo {
    max-width: 100%;
    height: auto;
    display: block;
}

/* testimonials */
#scientist{
    background-color: var(--light-grey);
}
.test-item{
    border: 2px solid var(--light-grey);
    padding: 2rem 1rem;
    position: relative;
    background-color: #fff;
    border-radius: 0.2rem;
    margin: 2rem 0 14rem 0;
}
.test-item::after{
    content: "";
    position: absolute;
    bottom: -20px;
    left: 50%;
    -webkit-transform: translateX(-50%);
        -ms-transform: translateX(-50%);
            transform: translateX(-50%);
    width: 0;
    height: 0;
    border-left: 20px solid transparent;
    border-right: 20px solid transparent;
    border-top: 20px solid #fff;
}
.test-item-info{
    position: absolute;
    top: 110%;
    left: 50%;  
     transform: translateX(-50%);
    text-align: center;
}
.test-item-info img{
    width: 100px;
    height: 100px;
    border-radius: 100%;
    /* using this  extra code "auto important" to centre the image  */
    margin: 1rem  

}
.test-item-info h3{
    font-size: 1rem;
}
/* vidoe */
.video-wrapper{
    height: 100%;
    position: relative;
}
.video-wrapper video{
    width: 100%;
    height: 100%;
    object-fit: contain;
}
#play-btn{
    position: absolute;
    z-index: 5;
    width: 70px;
    height: 70px;
    background-color: var(--green);
    color: #fff;
    border: none;
    border-radius: 50%;
    font-size: 1.8rem;
    padding-left: 0.4rem;
    transition: var(--trans);

}
#play-btn:hover{
    transform: scale(1.1)
}

.nav-link:hover {
    text-decoration: underline;
    text-decoration-thickness: 2px; /* Adjust the value as needed */
    text-underline-offset: 0.1em; /* Adjust the value as needed */
}

